Users
Get all users visible to the current user
Retrieves all users visible to the current user. Required permissions: None
GET
/
api
/
users
/
v1
/
users
Get all users visible to the current user
curl --request GET \
--url https://mycluster.domino.tech/api/users/v1/users \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/users/v1/users"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/users/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
},
"users": [
{
"avatarUrl": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>",
"companyName": "<string>",
"email": "<string>",
"idpId": "<string>",
"phoneNumber": "<string>",
"roles": [
"<string>"
]
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
How many users from the start to skip. Defaults to 0.
Max number of users to fetch. Defaults to 10.
Last modified on June 26, 2026
Related topics
Get Registered Models visible to user (v2)Get Environments visible to a userGet Projects visible to userGet Registered Models visible to userWas this page helpful?
⌘I
Get all users visible to the current user
